[Mailman-Users] Failed Upgrade: System now down for 2.5 days HELP

Mark Sapiro msapiro at value.net
Fri Dec 23 19:29:51 CET 2005

mcnutt wrote:
>I foolishly tried to upgrade from mailman 2.0.x to Mailman 2.1.6, and I
>heartily repent of my sin.  I have attempted to restore back to my working
>version, but its still not running.  Can anyone help me?
>   ----- Transcript of session follows -----
>Traceback (most recent call last):
>  File "/usr/local/mailman/scripts/post", line 94, in ?
>    main()
>  File "/usr/local/mailman/scripts/post", line 73, in main
>    mlist = MailList.MailList(listname, lock=0)
>  File "/usr/local/mailman/Mailman/MailList.py", line 79, in __init__
>    self.Load()
>  File "/usr/local/mailman/Mailman/MailList.py", line 892, in Load
>    dict, e = self.__load(dbfile)
>  File "/usr/local/mailman/Mailman/MailList.py", line 869, in __load
>    fp = open(dbfile)
>IOError: [Errno 13] Permission denied:
>554 5.3.0 unknown mailer error 1

This trace is not from Mailman 2.1.6 so I assume it is from your old
2.0.x version.

You have a permissions problem. Have you run bin/check_perms since
restoring back?

It seems that the process of upgrading and restoring back may have left
some things with the wrong group ownership or without SETGID.

In particular, the post wrapper is either not SETGID or its group
doesn't have permission to write

Mark Sapiro <msapiro at value.net>       The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list